GST Verification
Verify any GSTIN instantly β legal name, trade name, address, registration status, constitution & GPS coordinates.
Endpointβ
GET/gst?number=19HKJPM4450C1Z1
Verify GSTIN β complete taxpayer profile.
Query Parametersβ
| Parameter | Type | Required | Description |
|---|---|---|---|
number | string | β | 15-character GSTIN |
Exampleβ
curl "https://apiw.proxynex.pro/gst?number=19HKJPM4450C1Z1"
{
"status": "ok",
"gstin": "19HKJPM4450C1Z1",
"trade_name": "GENX COMPUTER",
"legal_name": "Arnab Modak",
"registration_status": "Active",
"registration_date": "22/06/2024",
"constitution": "Proprietorship",
"taxpayer_type": "Regular",
"nature_of_business": ["Retail Business", "Others"],
"state": "West Bengal",
"address": "C/O Haradhan Modak, Radhanagar, Ghatal",
"lat": 22.666033,
"lon": 87.732022
}
GSTIN Formatβ
19 HKJPM4450C 1 Z 1
β ββββPANββββ β β β check digit
β β β entity number
β β Z (default)
β 2-digit state code
| Position | Meaning |
|---|---|
| 1β2 | State code (19 = West Bengal) |
| 3β12 | PAN of the taxpayer |
| 13 | Entity number (1β9) |
| 14 | Z (default letter) |
| 15 | Check digit |
Malformed input returns 400.